happstack-server-7.9.3: Web related tools and services.

Safe Haskell | None
Language | Haskell2010

Happstack.Server.Internal.Socket

Synopsis

- acceptLite :: Socket -> IO (Socket, HostName, PortNumber)
- sockAddrToPeer :: SockAddr -> (HostName, PortNumber)

# Documentation

acceptLite :: Socket -> IO (Socket, HostName, PortNumber) Source #

alternative implementation of accept to work around EAI_AGAIN errors

sockAddrToPeer :: SockAddr -> (HostName, PortNumber) Source #